TechDraw "Добавить вершины по центрам граней"

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page TechDraw Midpoints and the translation is 60% complete.
Other languages:
Deutsch • ‎English • ‎français • ‎italiano • ‎polski • ‎русский

TechDraw Midpoints.svg Добавить вершины по центрам граней

Системное название
TechDraw_Midpoints
Расположение в меню
TechDraw → Добавить Вершины → Add Midpoints Vertices
Верстаки
TechDraw
Быстрые клавиши
Нет
Представлено в версии
0.19
См. также
Добавить вспомогательную вершину, Добавить 4-ре вершины по краям окружности

Описание

The Midpoints tool adds Cosmetic Vertices at the midpoints of one or more Edges.

TechDraw CosmeticMidpoint Sample.png

Cosmetic Vertices at midpoints of Edges

Применение

  1. Select one or more Edges in a View.
  2. Press the TechDraw Midpoints.svg Add Midpoint Vertices button
  3. Cosmetic Vertices will be added at the mid-point(s) of the Edge(s).

To delete a Midpoint, select it and use the toolbar button TechDraw CosmeticEraser.svg Remove Cosmetic Object.

Свойства

Cosmetic Vertices have no properties of their own, as they are not Document Objects. They share color and size settings with regular geometry vertices.

Программирование

См. так же: TechDraw API и Основы составления скриптов FreeCAD.

Cosmetic Vertices are not accessible from macros or the Python console at this time. This snippet will remove all Cosmetic Vertices from the View.

>>> v = App.ActiveDocument.View
>>> v.clearCV()
>>> App.activeDocument().recompute()